%define major 8
%define gi_version 3.0
%define libname	%mklibname gnomekbd  %{major}
%define giname %mklibname gnomekbd-gir %{gi_version}
%define libnamedev %mklibname -d gnomekbd

%define url_ver %(echo %{version} | cut -d "." -f -2)


Summary:		GNOME keyboard libraries
Name:			libgnomekbd
Version:		3.6.0
Release:		%mkrel 1
Source0:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:			libgnomekbd-3.3.90-gmodule-fix.patch
License:		LGPLv2+
Group:			System/Libraries
Url:			http://www.gnome.org/
BuildRequires:		pkgconfig(gdk-3.0) >= 2.91.7
BuildRequires:		pkgconfig(gio-2.0) >= 2.18
BuildRequires:		pkgconfig(glib-2.0) >= 2.18
BuildRequires:		pkgconfig(gtk+-3.0) >= 2.90
BuildRequires:		pkgconfig(libxklavier) >= 5.1
BuildRequires:		gobject-introspection-devel >= 0.6.7
BuildRequires:		intltool
BuildRequires:		chrpath
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
GNOME keyboard indicator plugin

#--------------------------------------------------------------------

%package common
Summary:		Files used by GNOME keyboard libraries
Group:			%{group}

%description common
Files used by GNOME keyboard library

%files common -f %name.lang
%defattr(-,root,root)
%doc NEWS ChangeLog
%{_datadir}/glib-2.0/schemas/org.gnome.libgnomekbd*.gschema.xml
%{_bindir}/gkbd-keyboard-display
%{_datadir}/GConf/gsettings/libgnomekbd.convert
%{_datadir}/applications/gkbd-keyboard-display.desktop
%{_datadir}/libgnomekbd/

#--------------------------------------------------------------------

%package -n %{libname}
Summary:		Dynamic libraries for GNOME applications
Group:			%{group}
Requires:		%{name}-common >= %{version}

%description -n %{libname}
GNOME keyboard library

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libgnomekbd*.so.%{major}*
%{_libdir}/girepository-1.0/Gkbd-%{gi_version}.typelib

#--------------------------------------------------------------------

%package -n %{libnamedev}
Summary:		Static libraries, include files for GNOME
Group:			Development/Libraries
Provides	:	%{name}-devel = %{version}-%{release}
Requires	:	%{libname} = %{version}
Obsoletes:		%mklibname -d gnomekbd 1

%description -n %{libnamedev}
Static library and headers file needed in order to develop
applications using the GNOME keyboard library

%files -n %{libnamedev}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so 
%{_datadir}/gir-1.0/Gkbd-3.0.gir

#--------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build

%configure2_5x  --disable-static \
		--disable-compile-warnings \
		--enable-introspection=yes

%make

%install
rm -rf %{buildroot}
%makeinstall_std

#we don't want these
find %{buildroot} -name '*.la' -delete

chrpath --delete $RPM_BUILD_ROOT%{_libdir}/libgnomekbdui.so.%major.0.0

%find_lang %{name}

%clean
rm -rf %{buildroot}

%changelog
* Fri Oct 18 2013 billybot <billybot> 3.6.0-1pclos2013
- re-import for cinnamon
